"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const normalize_config_1 = require("./normalize-config");
const process_file_1 = require("./process-file");
const read_1 = require("./read");
const watch_1 = require("./watch");
/**
 * A CodeEngine plugin that reads files from the filesystem.
 */
function filesystem(conf) {
    let config = normalize_config_1.normalizeConfig(conf);
    let { startWatching, stopWatching } = watch_1.watch(config);
    return {
        name: "Filesystem Source",
        filter: config.filter,
        read: read_1.read(config),
        watch: startWatching,
        dispose: stopWatching,
        processFile: process_file_1.processFile(config),
    };
}
exports.filesystem = filesystem;
// Export `filesystem` as the default export
// tslint:disable: no-default-export
exports.default = filesystem;
// CommonJS default export hack
if (typeof module === "object" && typeof module.exports === "object") {
    module.exports = Object.assign(module.exports.default, module.exports); // tslint:disable-line: no-unsafe-any
}
//# sourceMappingURL=index.js.map